Skip to main content
GET
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
insight
/
kpi
/
checkout-transaction-events
Checkout transaction event KPIs
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/insight/kpi/checkout-transaction-events \
  --header 'Authorization: Bearer <token>'
[
  {
    "interval": "day",
    "values": [
      {
        "payment_product_type": "dintero_psp.creditcard",
        "currency": "NOK",
        "count": 40,
        "avg_amount": 19995,
        "sum_amount": 799810,
        "date": "2023-12-25"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

interval
enum<string>
required

The interval over which the data will be aggregated.

Available options:
day
event
enum<string>
required

Only transactions with this event type will be included in the aggregation

Available options:
AUTHORIZE,
CAPTURE,
REFUND,
VOID
created_at_gte
string
required

Filter by event created_at, not when the transaction was created

Response

Checkout Transaction events KPIs

interval
enum<string>
required
Available options:
day
values
object[]
required

Interval where the count is zero is excluded from the result